WordPress.org

Ready to get started?Download WordPress

Forums

Sory, this file cannot be edited (11 posts)

  1. StevieG
    Member
    Posted 3 years ago #

    Using a child of the default buddypress theme. No other plugins loaded. I upgraded from 3.0.5 to 3.1 and lost the ability to update files in the child theme. Get the message 'Sorry, this file cannot be updated'. Reading in the forum it appears to be an old problem from 2.9 that was fixed in 3.0. Has the sticky-tape come off?

  2. Rahul Sonar
    Member
    Posted 3 years ago #

    have you checked the permissions?

  3. StevieG
    Member
    Posted 3 years ago #

    Yeah, even set them to 777 to see if it would help. It's very strange. I have started from basics, reloaded a fresh installation with 3.0.5, installed buddypress 1.2.8, created a new child theme with just style.css and copied in footer.php directly from the bp-default. I can edit bp-default, twentyten but not my own child theme. It allows acess to the stylesheet only; if I try and edit footer.php I get the Sorry message.

  4. I BELIEVE that's by design if you're using a child theme, actually.

    Read this: http://wordpress.org/support/topic/child-themes-in-31-rc2?replies=8

  5. StevieG
    Member
    Posted 3 years ago #

    No, good try, this is not related. The thread you posted shows someone not understanding the new 3.1 feature of showing only the files in your child-theme ( a long awaited amendment ) when using the editor. My issue is that the child theme files display correctly (not showing the parent files) BUT I cannot edit them, even when its not the active theme. This is the only site I have which is using the buddypress default as a parent so not sure if it's because of that or not.

  6. StevieG
    Member
    Posted 3 years ago #

    OK. Just created a child of twentyten and that has no problem. So, it's something to do with BuddyPress I guess.

  7. bp-default is in your wp-content/themes folder, right?

  8. StevieG
    Member
    Posted 3 years ago #

    No it's in the BuddyPress plugin. The site works fine just is not amendable!

  9. StevieG
    Member
    Posted 3 years ago #

    Just reloaded 3.0.5 and all works fine! Some change in 3.1 is stopping my child files from being updateable. Only change I can see in the theme-editor is to prevent the parent files from showing. Is anyone else using a child of buddypress 1.2.8 in 3.1?

  10. @mercime
    Volunteer Moderator
    Posted 3 years ago #

  11. StevieG
    Member
    Posted 3 years ago #

    Thanks @mercime I was beginning to think it was just me:-) . I see it's now on the WP Trac http://core.trac.wordpress.org/intertrac/ticket%3A16744 . I'll be doing development at 3.0.5 until a fix or work-around is published.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags